<?php

/** Patagonia options */
class PatagoniaOptions {

	function getOptions() {
		$options = get_option('patagonia_options');
		if (!is_array($options)) {
			$options['menu_type'] = 'pages';
			$options['twitter_icon'] = false;
			$options['twitter_nick'] = '';
			$options['feed'] = false;
			$options['feed_url'] = '';
			update_option('patagonia_options', $options);
		}
		return $options;
	}
	function add() {
		if(isset($_POST['patagonia_save'])) {
			$options = PatagoniaOptions::getOptions();
			
			// Header menu
			$options['menu_type'] = stripslashes($_POST['menu_type']);
			
			// Twitter icon
			if ($_POST['twitter_icon']) {
				$options['twitter_icon'] = (bool)true;
			} else {
				$options['twitter_icon'] = (bool)false;
			}
			$options['twitter_nick'] = stripslashes($_POST['twitter_nick']);
			
			// Custom Feed
			if ($_POST['feed']) {
				$options['feed'] = (bool)true;
			} else {
				$options['feed'] = (bool)false;
			}
			$options['feed_url'] = stripslashes($_POST['feed_url']);

			update_option('patagonia_options', $options);

		} else {
			PatagoniaOptions::getOptions();
		}

		add_theme_page(__('Patagonia Options', 'patagonia'), __('Patagonia Options', 'patagonia'), 'edit_themes', basename(__FILE__), array('PatagoniaOptions', 'display'));
	}

	function display() {
		$options = PatagoniaOptions::getOptions();
?>

<form action="#" method="post" enctype="multipart/form-data" name="patagonia_form" id="patagonia_form">
	<div class="wrap">
		<h2><?php _e('Patagonia Options', 'patagonia'); ?></h2>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Header Menu', 'patagonia'); ?></th>
					<td>
						<label style="margin-right:20px;">
							<input name="menu_type" type="radio" value="pages" <?php if($options['menu_type'] != 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show "Pages" in menu.', 'patagonia'); ?>
						</label>
						<label>
							<input name="menu_type" type="radio" value="categories" <?php if($options['menu_type'] == 'categories') echo "checked='checked'"; ?> />
							 <?php _e('Show "Categories" in menu.', 'patagonia'); ?>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Twitter Icon', 'patagonia'); ?></th>
				  <td>
						<label>
							<input name="twitter_icon" type="checkbox" value="checkbox" <?php if($options['twitter_icon']) echo "checked='checked'"; ?> />
							 <?php _e('Add Twitter Icon --> ', 'patagonia'); ?>
						</label>
						<?php _e('Your Twitter Username:', 'patagonia'); ?>
						<input type="text" name="twitter_nick" id="twitter_nick" class="code" size="30" value="<?php echo($options['twitter_nick']); ?>">
				    </td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Custom Feed', 'patagonia'); ?></th>
					<td>
						<label>
							<input name="feed" type="checkbox" value="checkbox" <?php if($options['feed']) echo "checked='checked'"; ?> />
							 <?php _e('Custom feed --> ', 'patagonia'); ?>
						</label>
						 <?php _e('Type the URL of your custom Feed:', 'patagonia'); ?> <input type="text" name="feed_url" id="feed_url" class="code" size="50" value="<?php echo($options['feed_url']); ?>">
						 <ul>For example, you can add the URL of your Feedburner Feed. http://feeds.feedburner.com/YourFeedburnerName</ul>
						<br/>
					</td>
				</tr>
			</tbody>
		</table>

		<p class="submit">
			<input class="button-primary" type="submit" name="patagonia_save" value="<?php _e('Save Changes', 'patagonia'); ?>" />
		</p>
	</div>
</form>

<?php
	}
}

// register functions
add_action('admin_menu', array('PatagoniaOptions', 'add'));

// Widgets
  if(function_exists('register_sidebar')) {
	register_sidebar(array(
		'name' => __('Sidebar'),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
	));
	function theme_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="alignleft"></div>
<div class="comm">
<div class="gravatar">
<?php
   if (function_exists('get_avatar')) {
       echo get_avatar(get_comment_author_email(), '50');
   } else {
	  $gravatarUrl = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5(get_comment_author_email()) . "&size=50";
      echo "<img src='$gravatarUrl'/>";
   }
?>
</div>
<div class="commenttext">
  <div class="commentwrapper">  
		 <p class="commentheader">By <?php comment_author_link() ?>, <?php comment_date() ?> @ <a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a> <?php edit_comment_link(__('(Edit)'),'  ','') ?> </p>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br/>
      <?php endif; ?>
      <?php comment_text() ?>
      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
  </div>
</div>
<div style="clear:both;"></div>
</div>
</div>
<?php
        }
}
?>